package wetter;

import java.util.LinkedList;
import java.util.Collection;

public class WetterDatenVerteiler implements WetterSubjekt {
	private float temp;
	private float feucht;
	private float druck;
	
	private Collection<WetterBeobachter> beobachter =
			new LinkedList<WetterBeobachter>();

	@Override
	public void registriereBeobachter(WetterBeobachter b) {
		beobachter.add(b);
	}

	@Override
	public void entferneBeobachter(WetterBeobachter b) {
		beobachter.remove(b);
	}
	
	public void setMesswerte(float temp, float feucht, float druck) {
		this.temp = temp;
		this.feucht = feucht;
		this.druck = druck;
		benachrichtigeBeobachter();
	}

	@Override
	public void benachrichtigeBeobachter() {
		for (WetterBeobachter b : beobachter) {
			b.aktualisiere(temp, feucht, druck);
		}
	}
}
